.TH wxGrid 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxGrid \- See external documentation: wxGrid\&.
.SH DESCRIPTION
.LP
See external documentation: wxGrid <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxScrolledWindow 
.br
wxPanel 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxGrid()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxGrid()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridwxgrid>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxGrid()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), X::integer(), X::integer() | term()) -> wxGrid()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridwxgrid>\&. 
.br
 Alternatives: 
.LP
\fI new(Parent::wxWindow:wxWindow(), X::integer(), Y::integer()) -> new(Parent, X, Y, []) \fR
.LP
\fI new(Parent::wxWindow:wxWindow(), Id::integer(), [Option]) -> wxGrid() \fR 
.br
 Option = {pos, {X::integer(),Y::integer()}} | {size, {W::integer(),H::integer()}} | {style, integer()} 
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), X::integer(), Y::integer(), Options::[Option]) -> wxGrid()
.br
.RS
.TP
Types
Option = {w, integer()} | {h, integer()} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridwxgrid>\&.
.RE
.LP
.B
appendCols(This::wxGrid()) -> bool()
.br
.RS
.LP
Equivalent to appendCols(This, [])\&.
.RE
.LP
.B
appendCols(This::wxGrid(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {numCols, integer()} | {updateLabels, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridappendcols>\&.
.RE
.LP
.B
appendRows(This::wxGrid()) -> bool()
.br
.RS
.LP
Equivalent to appendRows(This, [])\&.
.RE
.LP
.B
appendRows(This::wxGrid(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {numRows, integer()} | {updateLabels, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridappendrows>\&.
.RE
.LP
.B
autoSize(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridautosize>\&.
.RE
.LP
.B
autoSizeColumn(This::wxGrid(), Col::integer()) -> ok
.br
.RS
.LP
Equivalent to autoSizeColumn(This, Col, [])\&.
.RE
.LP
.B
autoSizeColumn(This::wxGrid(), Col::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {setAsMin, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridautosizecolumn>\&.
.RE
.LP
.B
autoSizeColumns(This::wxGrid()) -> ok
.br
.RS
.LP
Equivalent to autoSizeColumns(This, [])\&.
.RE
.LP
.B
autoSizeColumns(This::wxGrid(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {setAsMin, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridautosizecolumns>\&.
.RE
.LP
.B
autoSizeRow(This::wxGrid(), Row::integer()) -> ok
.br
.RS
.LP
Equivalent to autoSizeRow(This, Row, [])\&.
.RE
.LP
.B
autoSizeRow(This::wxGrid(), Row::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {setAsMin, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridautosizerow>\&.
.RE
.LP
.B
autoSizeRows(This::wxGrid()) -> ok
.br
.RS
.LP
Equivalent to autoSizeRows(This, [])\&.
.RE
.LP
.B
autoSizeRows(This::wxGrid(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {setAsMin, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridautosizerows>\&.
.RE
.LP
.B
beginBatch(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridbeginbatch>\&.
.RE
.LP
.B
blockToDeviceRect(This::wxGrid(), TopLeft::{R::integer(), C::integer()}, BottomRight::{R::integer(), C::integer()}) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridblocktodevicerect>\&.
.RE
.LP
.B
canDragColSize(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridcandragcolsize>\&.
.RE
.LP
.B
canDragRowSize(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridcandragrowsize>\&.
.RE
.LP
.B
canDragGridSize(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridcandraggridsize>\&.
.RE
.LP
.B
canEnableCellControl(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridcanenablecellcontrol>\&.
.RE
.LP
.B
cellToRect(This::wxGrid(), Coords::{R::integer(), C::integer()}) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridcelltorect>\&.
.RE
.LP
.B
cellToRect(This::wxGrid(), Row::integer(), Col::integer()) -> {X::integer(), Y::integer(), W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridcelltorect>\&.
.RE
.LP
.B
clearGrid(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridcleargrid>\&.
.RE
.LP
.B
clearSelection(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridclearselection>\&.
.RE
.LP
.B
createGrid(This::wxGrid(), NumRows::integer(), NumCols::integer()) -> bool()
.br
.RS
.LP
Equivalent to createGrid(This, NumRows, NumCols, [])\&.
.RE
.LP
.B
createGrid(This::wxGrid(), NumRows::integer(), NumCols::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {selmode, WxGridSelectionModes}
.br
WxGridSelectionModes = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridcreategrid>\&. 
.br
 WxGridSelectionModes is one of ?wxGrid_wxGridSelectCells | ?wxGrid_wxGridSelectRows | ?wxGrid_wxGridSelectColumns
.RE
.LP
.B
deleteCols(This::wxGrid()) -> bool()
.br
.RS
.LP
Equivalent to deleteCols(This, [])\&.
.RE
.LP
.B
deleteCols(This::wxGrid(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, integer()} | {numCols, integer()} | {updateLabels, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgriddeletecols>\&.
.RE
.LP
.B
deleteRows(This::wxGrid()) -> bool()
.br
.RS
.LP
Equivalent to deleteRows(This, [])\&.
.RE
.LP
.B
deleteRows(This::wxGrid(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, integer()} | {numRows, integer()} | {updateLabels, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgriddeleterows>\&.
.RE
.LP
.B
disableCellEditControl(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgriddisablecelleditcontrol>\&.
.RE
.LP
.B
disableDragColSize(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgriddisabledragcolsize>\&.
.RE
.LP
.B
disableDragGridSize(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgriddisabledraggridsize>\&.
.RE
.LP
.B
disableDragRowSize(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgriddisabledragrowsize>\&.
.RE
.LP
.B
enableCellEditControl(This::wxGrid()) -> ok
.br
.RS
.LP
Equivalent to enableCellEditControl(This, [])\&.
.RE
.LP
.B
enableCellEditControl(This::wxGrid(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridenablecelleditcontrol>\&.
.RE
.LP
.B
enableDragColSize(This::wxGrid()) -> ok
.br
.RS
.LP
Equivalent to enableDragColSize(This, [])\&.
.RE
.LP
.B
enableDragColSize(This::wxGrid(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridenabledragcolsize>\&.
.RE
.LP
.B
enableDragGridSize(This::wxGrid()) -> ok
.br
.RS
.LP
Equivalent to enableDragGridSize(This, [])\&.
.RE
.LP
.B
enableDragGridSize(This::wxGrid(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridenabledraggridsize>\&.
.RE
.LP
.B
enableDragRowSize(This::wxGrid()) -> ok
.br
.RS
.LP
Equivalent to enableDragRowSize(This, [])\&.
.RE
.LP
.B
enableDragRowSize(This::wxGrid(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridenabledragrowsize>\&.
.RE
.LP
.B
enableEditing(This::wxGrid(), Edit::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridenableediting>\&.
.RE
.LP
.B
enableGridLines(This::wxGrid()) -> ok
.br
.RS
.LP
Equivalent to enableGridLines(This, [])\&.
.RE
.LP
.B
enableGridLines(This::wxGrid(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {enable, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridenablegridlines>\&.
.RE
.LP
.B
endBatch(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridendbatch>\&.
.RE
.LP
.B
fit(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridfit>\&.
.RE
.LP
.B
forceRefresh(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridforcerefresh>\&.
.RE
.LP
.B
getBatchCount(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetbatchcount>\&.
.RE
.LP
.B
getCellAlignment(This::wxGrid(), Row::integer(), Col::integer()) -> {Horiz::integer(), Vert::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcellalignment>\&.
.RE
.LP
.B
getCellBackgroundColour(This::wxGrid(), Row::integer(), Col::integer()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcellbackgroundcolour>\&.
.RE
.LP
.B
getCellEditor(This::wxGrid(), Row::integer(), Col::integer()) -> wxGridCellEditor() (see module wxGridCellEditor)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcelleditor>\&.
.RE
.LP
.B
getCellFont(This::wxGrid(), Row::integer(), Col::integer()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcellfont>\&.
.RE
.LP
.B
getCellRenderer(This::wxGrid(), Row::integer(), Col::integer()) -> wxGridCellRenderer() (see module wxGridCellRenderer)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcellrenderer>\&.
.RE
.LP
.B
getCellTextColour(This::wxGrid(), Row::integer(), Col::integer()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcelltextcolour>\&.
.RE
.LP
.B
getCellValue(This::wxGrid(), Coords::{R::integer(), C::integer()}) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcellvalue>\&.
.RE
.LP
.B
getCellValue(This::wxGrid(), Row::integer(), Col::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcellvalue>\&.
.RE
.LP
.B
getColLabelAlignment(This::wxGrid()) -> {Horiz::integer(), Vert::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcollabelalignment>\&.
.RE
.LP
.B
getColLabelSize(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcollabelsize>\&.
.RE
.LP
.B
getColLabelValue(This::wxGrid(), Col::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcollabelvalue>\&.
.RE
.LP
.B
getColMinimalAcceptableWidth(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetcolminimalacceptablewidth>\&.
.RE
.LP
.B
getDefaultCellAlignment(This::wxGrid()) -> {Horiz::integer(), Vert::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultcellalignment>\&.
.RE
.LP
.B
getDefaultCellBackgroundColour(This::wxGrid()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultcellbackgroundcolour>\&.
.RE
.LP
.B
getDefaultCellFont(This::wxGrid()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultcellfont>\&.
.RE
.LP
.B
getDefaultCellTextColour(This::wxGrid()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultcelltextcolour>\&.
.RE
.LP
.B
getDefaultColLabelSize(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultcollabelsize>\&.
.RE
.LP
.B
getDefaultColSize(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultcolsize>\&.
.RE
.LP
.B
getDefaultEditor(This::wxGrid()) -> wxGridCellEditor() (see module wxGridCellEditor)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaulteditor>\&.
.RE
.LP
.B
getDefaultEditorForCell(This::wxGrid(), C::{R::integer(), C::integer()}) -> wxGridCellEditor() (see module wxGridCellEditor)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaulteditorforcell>\&.
.RE
.LP
.B
getDefaultEditorForCell(This::wxGrid(), Row::integer(), Col::integer()) -> wxGridCellEditor() (see module wxGridCellEditor)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaulteditorforcell>\&.
.RE
.LP
.B
getDefaultEditorForType(This::wxGrid(), TypeName::string()) -> wxGridCellEditor() (see module wxGridCellEditor)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaulteditorfortype>\&.
.RE
.LP
.B
getDefaultRenderer(This::wxGrid()) -> wxGridCellRenderer() (see module wxGridCellRenderer)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultrenderer>\&.
.RE
.LP
.B
getDefaultRendererForCell(This::wxGrid(), Row::integer(), Col::integer()) -> wxGridCellRenderer() (see module wxGridCellRenderer)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultrendererforcell>\&.
.RE
.LP
.B
getDefaultRendererForType(This::wxGrid(), TypeName::string()) -> wxGridCellRenderer() (see module wxGridCellRenderer)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultrendererfortype>\&.
.RE
.LP
.B
getDefaultRowLabelSize(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultrowlabelsize>\&.
.RE
.LP
.B
getDefaultRowSize(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetdefaultrowsize>\&.
.RE
.LP
.B
getGridCursorCol(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetgridcursorcol>\&.
.RE
.LP
.B
getGridCursorRow(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetgridcursorrow>\&.
.RE
.LP
.B
getGridLineColour(This::wxGrid()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetgridlinecolour>\&.
.RE
.LP
.B
gridLinesEnabled(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgridlinesenabled>\&.
.RE
.LP
.B
getLabelBackgroundColour(This::wxGrid()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetlabelbackgroundcolour>\&.
.RE
.LP
.B
getLabelFont(This::wxGrid()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetlabelfont>\&.
.RE
.LP
.B
getLabelTextColour(This::wxGrid()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetlabeltextcolour>\&.
.RE
.LP
.B
getNumberCols(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetnumbercols>\&.
.RE
.LP
.B
getNumberRows(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetnumberrows>\&.
.RE
.LP
.B
getOrCreateCellAttr(This::wxGrid(), Row::integer(), Col::integer()) -> wxGridCellAttr() (see module wxGridCellAttr)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetorcreatecellattr>\&.
.RE
.LP
.B
getRowMinimalAcceptableHeight(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetrowminimalacceptableheight>\&.
.RE
.LP
.B
getRowLabelAlignment(This::wxGrid()) -> {Horiz::integer(), Vert::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetrowlabelalignment>\&.
.RE
.LP
.B
getRowLabelSize(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetrowlabelsize>\&.
.RE
.LP
.B
getRowLabelValue(This::wxGrid(), Row::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetrowlabelvalue>\&.
.RE
.LP
.B
getRowSize(This::wxGrid(), Row::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetrowsize>\&.
.RE
.LP
.B
getScrollLineX(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetscrolllinex>\&.
.RE
.LP
.B
getScrollLineY(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetscrollliney>\&.
.RE
.LP
.B
getSelectedCells(This::wxGrid()) -> [{R::integer(), C::integer()}]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetselectedcells>\&.
.RE
.LP
.B
getSelectedCols(This::wxGrid()) -> [integer()]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetselectedcols>\&.
.RE
.LP
.B
getSelectedRows(This::wxGrid()) -> [integer()]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetselectedrows>\&.
.RE
.LP
.B
getSelectionBackground(This::wxGrid()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetselectionbackground>\&.
.RE
.LP
.B
getSelectionBlockTopLeft(This::wxGrid()) -> [{R::integer(), C::integer()}]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetselectionblocktopleft>\&.
.RE
.LP
.B
getSelectionBlockBottomRight(This::wxGrid()) -> [{R::integer(), C::integer()}]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetselectionblockbottomright>\&.
.RE
.LP
.B
getSelectionForeground(This::wxGrid()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetselectionforeground>\&.
.RE
.LP
.B
getViewWidth(This::wxGrid()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetviewwidth>\&.
.RE
.LP
.B
getGridWindow(This::wxGrid()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetgridwindow>\&.
.RE
.LP
.B
getGridRowLabelWindow(This::wxGrid()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetgridrowlabelwindow>\&.
.RE
.LP
.B
getGridColLabelWindow(This::wxGrid()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetgridcollabelwindow>\&.
.RE
.LP
.B
getGridCornerLabelWindow(This::wxGrid()) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridgetgridcornerlabelwindow>\&.
.RE
.LP
.B
hideCellEditControl(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridhidecelleditcontrol>\&.
.RE
.LP
.B
insertCols(This::wxGrid()) -> bool()
.br
.RS
.LP
Equivalent to insertCols(This, [])\&.
.RE
.LP
.B
insertCols(This::wxGrid(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, integer()} | {numCols, integer()} | {updateLabels, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridinsertcols>\&.
.RE
.LP
.B
insertRows(This::wxGrid()) -> bool()
.br
.RS
.LP
Equivalent to insertRows(This, [])\&.
.RE
.LP
.B
insertRows(This::wxGrid(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, integer()} | {numRows, integer()} | {updateLabels, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridinsertrows>\&.
.RE
.LP
.B
isCellEditControlEnabled(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridiscelleditcontrolenabled>\&.
.RE
.LP
.B
isCurrentCellReadOnly(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridiscurrentcellreadonly>\&.
.RE
.LP
.B
isEditable(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridiseditable>\&.
.RE
.LP
.B
isInSelection(This::wxGrid(), Coords::{R::integer(), C::integer()}) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridisinselection>\&.
.RE
.LP
.B
isInSelection(This::wxGrid(), Row::integer(), Col::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridisinselection>\&.
.RE
.LP
.B
isReadOnly(This::wxGrid(), Row::integer(), Col::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridisreadonly>\&.
.RE
.LP
.B
isSelection(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridisselection>\&.
.RE
.LP
.B
isVisible(This::wxGrid(), Coords::{R::integer(), C::integer()}) -> bool()
.br
.RS
.LP
Equivalent to isVisible(This, Coords, [])\&.
.RE
.LP
.B
isVisible(This::wxGrid(), X::integer() | term(), X::integer() | term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridisvisible>\&. 
.br
 Alternatives: 
.LP
\fI isVisible(This::wxGrid(), Row::integer(), Col::integer()) -> isVisible(This, Row, Col, []) \fR
.LP
\fI isVisible(This::wxGrid(), Coords::{R::integer(), C::integer()}, [Option]) -> bool() \fR 
.br
 Option = {wholeCellVisible, bool()} 
.RE
.LP
.B
isVisible(This::wxGrid(), Row::integer(), Col::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {wholeCellVisible, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridisvisible>\&.
.RE
.LP
.B
makeCellVisible(This::wxGrid(), Coords::{R::integer(), C::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmakecellvisible>\&.
.RE
.LP
.B
makeCellVisible(This::wxGrid(), Row::integer(), Col::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmakecellvisible>\&.
.RE
.LP
.B
moveCursorDown(This::wxGrid(), ExpandSelection::bool()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmovecursordown>\&.
.RE
.LP
.B
moveCursorLeft(This::wxGrid(), ExpandSelection::bool()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmovecursorleft>\&.
.RE
.LP
.B
moveCursorRight(This::wxGrid(), ExpandSelection::bool()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmovecursorright>\&.
.RE
.LP
.B
moveCursorUp(This::wxGrid(), ExpandSelection::bool()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmovecursorup>\&.
.RE
.LP
.B
moveCursorDownBlock(This::wxGrid(), ExpandSelection::bool()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmovecursordownblock>\&.
.RE
.LP
.B
moveCursorLeftBlock(This::wxGrid(), ExpandSelection::bool()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmovecursorleftblock>\&.
.RE
.LP
.B
moveCursorRightBlock(This::wxGrid(), ExpandSelection::bool()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmovecursorrightblock>\&.
.RE
.LP
.B
moveCursorUpBlock(This::wxGrid(), ExpandSelection::bool()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmovecursorupblock>\&.
.RE
.LP
.B
movePageDown(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmovepagedown>\&.
.RE
.LP
.B
movePageUp(This::wxGrid()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridmovepageup>\&.
.RE
.LP
.B
registerDataType(This::wxGrid(), TypeName::string(), Renderer::wxGridCellRenderer() (see module wxGridCellRenderer), Editor::wxGridCellEditor() (see module wxGridCellEditor)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridregisterdatatype>\&.
.RE
.LP
.B
saveEditControlValue(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsaveeditcontrolvalue>\&.
.RE
.LP
.B
selectAll(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridselectall>\&.
.RE
.LP
.B
selectBlock(This::wxGrid(), TopLeft::{R::integer(), C::integer()}, BottomRight::{R::integer(), C::integer()}) -> ok
.br
.RS
.LP
Equivalent to selectBlock(This, TopLeft, BottomRight, [])\&.
.RE
.LP
.B
selectBlock(This::wxGrid(), TopLeft::{R::integer(), C::integer()}, BottomRight::{R::integer(), C::integer()}, Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {addToSelected, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridselectblock>\&.
.RE
.LP
.B
selectBlock(This::wxGrid(), TopRow::integer(), LeftCol::integer(), BottomRow::integer(), RightCol::integer()) -> ok
.br
.RS
.LP
Equivalent to selectBlock(This, TopRow, LeftCol, BottomRow, RightCol, [])\&.
.RE
.LP
.B
selectBlock(This::wxGrid(), TopRow::integer(), LeftCol::integer(), BottomRow::integer(), RightCol::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {addToSelected, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridselectblock>\&.
.RE
.LP
.B
selectCol(This::wxGrid(), Col::integer()) -> ok
.br
.RS
.LP
Equivalent to selectCol(This, Col, [])\&.
.RE
.LP
.B
selectCol(This::wxGrid(), Col::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {addToSelected, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridselectcol>\&.
.RE
.LP
.B
selectRow(This::wxGrid(), Row::integer()) -> ok
.br
.RS
.LP
Equivalent to selectRow(This, Row, [])\&.
.RE
.LP
.B
selectRow(This::wxGrid(), Row::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {addToSelected, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridselectrow>\&.
.RE
.LP
.B
setCellAlignment(This::wxGrid(), Align::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcellalignment>\&.
.RE
.LP
.B
setCellAlignment(This::wxGrid(), Align::integer(), Row::integer(), Col::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcellalignment>\&.
.RE
.LP
.B
setCellAlignment(This::wxGrid(), Row::integer(), Col::integer(), Horiz::integer(), Vert::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcellalignment>\&.
.RE
.LP
.B
setCellBackgroundColour(This::wxGrid(), Col::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcellbackgroundcolour>\&.
.RE
.LP
.B
setCellBackgroundColour(This::wxGrid(), X::integer() | term(), X::integer(), X::term() | integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcellbackgroundcolour>\&. 
.br
 Alternatives: 
.LP
\fI setCellBackgroundColour(This::wxGrid(), Row::integer(), Col::integer(), Val::wx:colour()) -> ok \fR 
.LP
\fI setCellBackgroundColour(This::wxGrid(), Colour::wx:colour(), Row::integer(), Col::integer()) -> ok \fR 
.RE
.LP
.B
setCellEditor(This::wxGrid(), Row::integer(), Col::integer(), Editor::wxGridCellEditor() (see module wxGridCellEditor)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcelleditor>\&.
.RE
.LP
.B
setCellFont(This::wxGrid(), Row::integer(), Col::integer(), Val::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcellfont>\&.
.RE
.LP
.B
setCellRenderer(This::wxGrid(), Row::integer(), Col::integer(), Renderer::wxGridCellRenderer() (see module wxGridCellRenderer)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcellrenderer>\&.
.RE
.LP
.B
setCellTextColour(This::wxGrid(), Col::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcelltextcolour>\&.
.RE
.LP
.B
setCellTextColour(This::wxGrid(), X::integer() | term(), X::integer(), X::term() | integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcelltextcolour>\&. 
.br
 Alternatives: 
.LP
\fI setCellTextColour(This::wxGrid(), Row::integer(), Col::integer(), Val::wx:colour()) -> ok \fR 
.LP
\fI setCellTextColour(This::wxGrid(), Val::wx:colour(), Row::integer(), Col::integer()) -> ok \fR 
.RE
.LP
.B
setCellValue(This::wxGrid(), Coords::{R::integer(), C::integer()}, S::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcellvalue>\&.
.RE
.LP
.B
setCellValue(This::wxGrid(), X::integer() | string(), X::integer(), X::string() | integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcellvalue>\&. 
.br
 Alternatives: 
.LP
\fI setCellValue(This::wxGrid(), Row::integer(), Col::integer(), S::string()) -> ok \fR 
.LP
\fI setCellValue(This::wxGrid(), Val::string(), Row::integer(), Col::integer()) -> ok \fR 
.RE
.LP
.B
setColAttr(This::wxGrid(), Col::integer(), Attr::wxGridCellAttr() (see module wxGridCellAttr)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcolattr>\&.
.RE
.LP
.B
setColFormatBool(This::wxGrid(), Col::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcolformatbool>\&.
.RE
.LP
.B
setColFormatNumber(This::wxGrid(), Col::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcolformatnumber>\&.
.RE
.LP
.B
setColFormatFloat(This::wxGrid(), Col::integer()) -> ok
.br
.RS
.LP
Equivalent to setColFormatFloat(This, Col, [])\&.
.RE
.LP
.B
setColFormatFloat(This::wxGrid(), Col::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {width, integer()} | {precision, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcolformatfloat>\&.
.RE
.LP
.B
setColFormatCustom(This::wxGrid(), Col::integer(), TypeName::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcolformatcustom>\&.
.RE
.LP
.B
setColLabelAlignment(This::wxGrid(), Horiz::integer(), Vert::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcollabelalignment>\&.
.RE
.LP
.B
setColLabelSize(This::wxGrid(), Height::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcollabelsize>\&.
.RE
.LP
.B
setColLabelValue(This::wxGrid(), Col::integer(), Val::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcollabelvalue>\&.
.RE
.LP
.B
setColMinimalWidth(This::wxGrid(), Col::integer(), Width::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcolminimalwidth>\&.
.RE
.LP
.B
setColMinimalAcceptableWidth(This::wxGrid(), Width::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcolminimalacceptablewidth>\&.
.RE
.LP
.B
setColSize(This::wxGrid(), Col::integer(), Width::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetcolsize>\&.
.RE
.LP
.B
setDefaultCellAlignment(This::wxGrid(), Horiz::integer(), Vert::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetdefaultcellalignment>\&.
.RE
.LP
.B
setDefaultCellBackgroundColour(This::wxGrid(), Val::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetdefaultcellbackgroundcolour>\&.
.RE
.LP
.B
setDefaultCellFont(This::wxGrid(), Val::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetdefaultcellfont>\&.
.RE
.LP
.B
setDefaultCellTextColour(This::wxGrid(), Val::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetdefaultcelltextcolour>\&.
.RE
.LP
.B
setDefaultEditor(This::wxGrid(), Editor::wxGridCellEditor() (see module wxGridCellEditor)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetdefaulteditor>\&.
.RE
.LP
.B
setDefaultRenderer(This::wxGrid(), Renderer::wxGridCellRenderer() (see module wxGridCellRenderer)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetdefaultrenderer>\&.
.RE
.LP
.B
setDefaultColSize(This::wxGrid(), Width::integer()) -> ok
.br
.RS
.LP
Equivalent to setDefaultColSize(This, Width, [])\&.
.RE
.LP
.B
setDefaultColSize(This::wxGrid(), Width::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {resizeExistingCols, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetdefaultcolsize>\&.
.RE
.LP
.B
setDefaultRowSize(This::wxGrid(), Height::integer()) -> ok
.br
.RS
.LP
Equivalent to setDefaultRowSize(This, Height, [])\&.
.RE
.LP
.B
setDefaultRowSize(This::wxGrid(), Height::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {resizeExistingRows, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetdefaultrowsize>\&.
.RE
.LP
.B
setGridCursor(This::wxGrid(), Row::integer(), Col::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetgridcursor>\&.
.RE
.LP
.B
setGridLineColour(This::wxGrid(), Val::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetgridlinecolour>\&.
.RE
.LP
.B
setLabelBackgroundColour(This::wxGrid(), Val::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetlabelbackgroundcolour>\&.
.RE
.LP
.B
setLabelFont(This::wxGrid(), Val::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetlabelfont>\&.
.RE
.LP
.B
setLabelTextColour(This::wxGrid(), Val::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetlabeltextcolour>\&.
.RE
.LP
.B
setMargins(This::wxGrid(), ExtraWidth::integer(), ExtraHeight::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetmargins>\&.
.RE
.LP
.B
setReadOnly(This::wxGrid(), Row::integer(), Col::integer()) -> ok
.br
.RS
.LP
Equivalent to setReadOnly(This, Row, Col, [])\&.
.RE
.LP
.B
setReadOnly(This::wxGrid(), Row::integer(), Col::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {isReadOnly, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetreadonly>\&.
.RE
.LP
.B
setRowAttr(This::wxGrid(), Row::integer(), Attr::wxGridCellAttr() (see module wxGridCellAttr)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetrowattr>\&.
.RE
.LP
.B
setRowLabelAlignment(This::wxGrid(), Horiz::integer(), Vert::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetrowlabelalignment>\&.
.RE
.LP
.B
setRowLabelSize(This::wxGrid(), Width::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetrowlabelsize>\&.
.RE
.LP
.B
setRowLabelValue(This::wxGrid(), Row::integer(), Val::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetrowlabelvalue>\&.
.RE
.LP
.B
setRowMinimalHeight(This::wxGrid(), Row::integer(), Width::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetrowminimalheight>\&.
.RE
.LP
.B
setRowMinimalAcceptableHeight(This::wxGrid(), Width::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetrowminimalacceptableheight>\&.
.RE
.LP
.B
setRowSize(This::wxGrid(), Row::integer(), Height::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetrowsize>\&.
.RE
.LP
.B
setScrollLineX(This::wxGrid(), X::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetscrolllinex>\&.
.RE
.LP
.B
setScrollLineY(This::wxGrid(), Y::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetscrollliney>\&.
.RE
.LP
.B
setSelectionBackground(This::wxGrid(), C::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetselectionbackground>\&.
.RE
.LP
.B
setSelectionForeground(This::wxGrid(), C::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetselectionforeground>\&.
.RE
.LP
.B
setSelectionMode(This::wxGrid(), Selmode::WxGridSelectionModes) -> ok
.br
.RS
.TP
Types
WxGridSelectionModes = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridsetselectionmode>\&. 
.br
 WxGridSelectionModes is one of ?wxGrid_wxGridSelectCells | ?wxGrid_wxGridSelectRows | ?wxGrid_wxGridSelectColumns
.RE
.LP
.B
showCellEditControl(This::wxGrid()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridshowcelleditcontrol>\&.
.RE
.LP
.B
xToCol(This::wxGrid(), X::integer()) -> integer()
.br
.RS
.LP
Equivalent to xToCol(This, X, [])\&.
.RE
.LP
.B
xToCol(This::wxGrid(), X::integer(), Options::[Option]) -> integer()
.br
.RS
.TP
Types
Option = {clipToMinMax, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridxtocol>\&.
.RE
.LP
.B
xToEdgeOfCol(This::wxGrid(), X::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridxtoedgeofcol>\&.
.RE
.LP
.B
yToEdgeOfRow(This::wxGrid(), Y::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridytoedgeofrow>\&.
.RE
.LP
.B
yToRow(This::wxGrid(), Y::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgrid\&.html#wxgridytorow>\&.
.RE
.LP
.B
destroy(This::wxGrid()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
